select t1.MONTH, t1.YEAR, Init + sum(t2.MonthBalance) as Balance from
(select	strftime('%m', TRANSDATE) as MONTH, 
		strftime('%Y',TRANSDATE) as YEAR, 
		total(case when ('Deposit' = TRANSCODE) then TRANSAMOUNT else null end) -total(case when ('Withdrawal' = TRANSCODE) then TRANSAMOUNT else null end) as MonthBalance
from CHECKINGACCOUNT_V1
where status <> 'V'
group by month, year) as t1, 
(select	strftime('%m', TRANSDATE) as MONTH, 
		strftime('%Y',TRANSDATE) as YEAR, 
		total(case when ('Deposit' = TRANSCODE) then TRANSAMOUNT else null end) -total(case when ('Withdrawal' = TRANSCODE) then TRANSAMOUNT else null end) as MonthBalance
from CHECKINGACCOUNT_V1
where status <> 'V'
group by month, year) as t2,
(select total(INITIALBAL) as Init from ACCOUNTLIST_V1 where STATUS="Open") 
where t2.MONTH <= t1.MONTH and t2.YEAR <= t1.YEAR
group by t1.YEAR, t1.MONTH
order by t1.YEAR, t1.MONTH